Create Procedure
	[dbo].[Pr_Insures2_InsertOrUpdate]
(
		@mID bigint,
		@mName varchar(50),
		@mFranshizPercent tinyint,
		@mDiffPricePercent tinyint,
		@mPayablePercent tinyint,
		@mMaxPayment bigint,
		@mInsureDependency bit,
		@mFranshiz4AzadTest bit,
		@RasaId SmallInt
)
As
If @mID Is Null
	Begin ------ Insert
		Insert Into
			[dbo].[tblInsures2]
						(
						[mName],
						[mFranshizPercent],
						[mDiffPricePercent],
						[mPayablePercent],
						[mMaxPayment],
						[mInsureDependency],
						[mFranshiz4AzadTest],
						[RasaId]
						)
				Values
						(
						@mName,
						@mFranshizPercent,
						@mDiffPricePercent,
						@mPayablePercent,
						@mMaxPayment,
						@mInsureDependency,
						@mFranshiz4AzadTest,
						@RasaId
						)
	End
Else
	Begin ------ Update
		Update [dbo].[tblInsures2]
			Set
					[mName] = @mName,
					[mFranshizPercent] = @mFranshizPercent,
					[mDiffPricePercent] = @mDiffPricePercent,
					[mPayablePercent] = @mPayablePercent,
					[mMaxPayment] = @mMaxPayment,
					[mInsureDependency] = @mInsureDependency,
					[mFranshiz4AzadTest] = @mFranshiz4AzadTest,
					[RasaId] = @RasaId

			Where	[mID] = @mID
	End